org.apache.tinkerpop.gremlin.driver

## Class Client.AliasClusteredClient

- java.lang.Object
- - org.apache.tinkerpop.gremlin.driver.Client
  - - org.apache.tinkerpop.gremlin.driver.Client.ReboundClusteredClient
    - - org.apache.tinkerpop.gremlin.driver.Client.AliasClusteredClient

- Enclosing class:
    Client

      public static final class Client.AliasClusteredClient
      extends Client.ReboundClusteredClient

  Uses a `Client.ClusteredClient` that rebinds requests to a specified `Graph` or `TraversalSource` instances on the server-side.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.driver.Client

      `Client.AliasClusteredClient, Client.ClusteredClient, Client.ReboundClusteredClient, Client.SessionedClient, Client.SessionSettings, Client.Settings`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.driver.Client

      `cluster, initialized, settings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AliasClusteredClient(Client client, Map<String,String> rebindings, Client.Settings settings)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.driver.Client.ReboundClusteredClient

      `alias, buildMessage, chooseConnection, closeAsync, init, initializeImplementation, isClosing, rebind, submitAsync, submitAsync, submitAsync`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.driver.Client

      `alias, close, getCluster, getSettings, makeDefaultAliasMap, rebind, submit, submit, submit, submit, submitAsync, submitAsync, submitAsync, submitAsync`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AliasClusteredClient

          public AliasClusteredClient(Client client,
                                      Map<String,String> rebindings,
                                      Client.Settings settings)

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.